> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get a discovered service's information

GET https://api.getpostman.com/api-catalog/discovery-services/{serviceId}

Gets detailed information about a discovered service, including a base64-encoded OpenAPI specification and an array of endpoints.

Reference: https://learning.postman.com/api-docs/api-reference/api-catalog/get-api-catalog-discovery-service

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /api-catalog/discovery-services/{serviceId}:
    get:
      operationId: getApiCatalogDiscoveryService
      summary: Get a discovered service's information
      description: >-
        Gets detailed information about a discovered service, including a
        base64-encoded OpenAPI specification and an array of endpoints.
      tags:
        - apiCatalog
      parameters:
        - name: serviceId
          in: path
          description: The discovered service's ID.
          required: true
          schema:
            $ref: '#/components/schemas/serviceId'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getApiCatalogDiscoveryService'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetApiCatalogDiscoveryServiceRequestInternalServerError
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    serviceId:
      type: string
      title: serviceId
    apiCatalogDiscoveryServicesTagsData:
      type: array
      items:
        type: string
      description: A list of tags associated with the service.
      title: apiCatalogDiscoveryServicesTagsData
    apiCatalogDiscoveryServicesProviderMetadata:
      type: object
      properties:
        title:
          type: string
          description: The provider's service display title.
        environmentId:
          type: string
          description: The provider's environment ID.
        environmentVersion:
          type: string
          description: The provider's environment version.
        openApiSpecCanBeDownloaded:
          type: boolean
          description: >-
            If true, the provider has enabled downloading of the OpenAPI
            specification.
      description: Additional metadata from the discovery source provider.
      title: apiCatalogDiscoveryServicesProviderMetadata
    getApiCatalogDiscoveryServiceApiDefinitionData:
      type: object
      properties:
        format:
          type: string
          description: The definition's format.
        formatVersion:
          type: string
          description: The API definition format's version.
        contentHash:
          type: string
          description: A SHA-256 hash of the API definition content for change detection.
        content:
          type: string
          description: A Base64-encoded API definition.
      description: The API definition associated with the service.
      title: getApiCatalogDiscoveryServiceApiDefinitionData
    apiCatalogDiscoveryServiceEndpointsData:
      type: object
      properties:
        method:
          type: string
          description: The endpoint's HTTP method.
        path:
          type: string
          description: The endpoint's URL path.
        description:
          type:
            - string
            - 'null'
          description: The endpoint's description.
        host:
          type: string
          description: The endpoint's host.
      description: Information about a service's endpoint.
      title: apiCatalogDiscoveryServiceEndpointsData
    getApiCatalogDiscoveryService:
      type: object
      properties:
        id:
          type: string
          description: The service's ID.
        organizationId:
          type: integer
          description: The ID of the organization that the service belongs to.
        discoverySource:
          type: string
          description: The source through which the service was discovered.
        name:
          type: string
          description: The servie's name.
        description:
          type:
            - string
            - 'null'
          description: The service's description.
        version:
          type: string
          description: The service's version.
        sourceEnvironment:
          type:
            - string
            - 'null'
          description: The source environment in which the service was discovered.
        systemEnvironmentId:
          type:
            - string
            - 'null'
          description: >-
            The mapped system environment's ID. Returns a null value if the
            environment is not mapped.
        tags:
          $ref: '#/components/schemas/apiCatalogDiscoveryServicesTagsData'
        status:
          type: string
          description: The service's current status.
        providerServiceId:
          type: string
          description: The ID of the service in the source registry.
        providerMetadata:
          $ref: '#/components/schemas/apiCatalogDiscoveryServicesProviderMetadata'
        apiDefinition:
          $ref: '#/components/schemas/getApiCatalogDiscoveryServiceApiDefinitionData'
        endpoints:
          type: array
          items:
            $ref: '#/components/schemas/apiCatalogDiscoveryServiceEndpointsData'
          description: A list of the service's endpoints.
        endpointsCount:
          type: integer
          description: The total number of endpoints associated with the service.
        discoveredAt:
          type: string
          format: date-time
          description: The date and time at which the service was first discovered.
        discoveredBy:
          type: integer
          description: The user ID of the user who discovered or ingested the service.
        lastSyncedAt:
          type: string
          format: date-time
          description: The date and time of the most recent service sync.
        managedWorkspaceId:
          type:
            - string
            - 'null'
          description: >-
            The ID of the Postman workspace that the service has been integrated
            into. Returns a null value if the service is not integrated.
        integratedAt:
          type:
            - string
            - 'null'
          format: date-time
          description: >-
            The date and time at which the service was linked to a Postman
            workspace. Returns a null value if the service is not integrated.
      description: Information about the discovered service.
      title: getApiCatalogDiscoveryService
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    CommonErrorTypeTitleDetailDetail:
      oneOf:
        - type: string
        - type: object
          additionalProperties:
            description: Any type
      description: Information about the error.
      title: CommonErrorTypeTitleDetailDetail
    commonErrorTypeTitleDetail:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailDetail'
          description: Information about the error.
      title: commonErrorTypeTitleDetail
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    GetApiCatalogDiscoveryServiceRequestInternalServerError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetApiCatalogDiscoveryServiceRequestInternalServerError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples



**Response**

```json
{
  "id": "c6ec74e7-14f8-498c-9470-7a654173bed6",
  "organizationId": 123,
  "discoverySource": "api_gateway_app",
  "name": "Jelly Bean Wiki (IBM - 10) - sandbox (1.0.0)",
  "description": null,
  "version": "1.0.0",
  "sourceEnvironment": "sandbox",
  "systemEnvironmentId": null,
  "tags": [],
  "status": "discovered",
  "providerServiceId": "048840c0-1be8-4d9f-a8a6-7429ca50f5ca,989213fc-b1a3-42cb-b0d6-b7843ee5d47d,40d57331-ad73-47a3-87f0-032af447df8e",
  "providerMetadata": {
    "title": "Jelly Bean Wiki (IBM - 10) - sandbox (1.0.0)",
    "environmentId": "048840c0-1be8-4d9f-a8a6-7429ca50f5ca,989213fc-b1a3-42cb-b0d6-b7843ee5d47d",
    "environmentVersion": "2.0.0",
    "openApiSpecCanBeDownloaded": true
  },
  "apiDefinition": {
    "format": "openapi_3",
    "formatVersion": "3.0.1",
    "contentHash": "8839a589ba50f454a03f58ec761ad26e2d267a8f26bd63cf6298d4643b23ed7e",
    "content": "eyJvcGVuYXBpIjoiMy4wLjAiLCJpbmZvIjp7InRpdGxlIjoiQ29uZmlnIiwidmVyc2lvbiI6IjEuMC4wIn0sInBhdGhzIjp7Ii9jb25maWciOnsiZ2V0Ijp7InN1bW1hcnkiOiJHZXQgY29uZmlnIn19LCIvY29uZmlnL3trZXl9Ijp7InB1dCI6eyJzdW1tYXJ5IjoiVXBkYXRlIGNvbmZpZyJ9fX19="
  },
  "endpoints": [
    {
      "method": "GET",
      "path": "/api/recipes",
      "description": null
    },
    {
      "method": "GET",
      "path": "/api/mileStones",
      "description": null
    },
    {
      "method": "GET",
      "path": "/api/Beans",
      "description": null
    }
  ],
  "endpointsCount": 3,
  "discoveredAt": "2026-02-12T02:04:58.000Z",
  "discoveredBy": 12345678,
  "lastSyncedAt": "2026-02-12T02:04:58.000Z",
  "managedWorkspaceId": null,
  "integratedAt": null
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/api-catalog/discovery-services/c6ec74e7-14f8-498c-9470-7a654173bed6"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/api-catalog/discovery-services/c6ec74e7-14f8-498c-9470-7a654173bed6';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/api-catalog/discovery-services/c6ec74e7-14f8-498c-9470-7a654173bed6"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/api-catalog/discovery-services/c6ec74e7-14f8-498c-9470-7a654173bed6")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/api-catalog/discovery-services/c6ec74e7-14f8-498c-9470-7a654173bed6")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/api-catalog/discovery-services/c6ec74e7-14f8-498c-9470-7a654173bed6', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/api-catalog/discovery-services/c6ec74e7-14f8-498c-9470-7a654173bed6");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/api-catalog/discovery-services/c6ec74e7-14f8-498c-9470-7a654173bed6")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```